summaryrefslogtreecommitdiffstats
path: root/scripts/makepkg.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/makepkg.sh.in')
-rw-r--r--scripts/makepkg.sh.in16
1 files changed, 8 insertions, 8 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index f2859740..caf809f3 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -220,7 +220,7 @@ update_pkgver() {
# Print 'source not found' error message and exit makepkg
missing_source_file() {
error "$(gettext "Unable to find source file %s.")" "$(get_filename "$1")"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit $E_MISSING_FILE
}
@@ -355,7 +355,7 @@ error_function() {
# first exit all subshells, then print the error
if (( ! BASH_SUBSHELL )); then
error "$(gettext "A failure occurred in %s().")" "$1"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
fi
exit $E_USER_FUNCTION_FAILED
}
@@ -674,7 +674,7 @@ create_package() {
if [[ ! -d $pkgdir ]]; then
error "$(gettext "Missing %s directory.")" "\$pkgdir/"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit $E_MISSING_PKGDIR
fi
@@ -1147,23 +1147,23 @@ lint_config || exit $E_CONFIG_ERROR
# check that all settings directories are user-writable
if ! ensure_writable_dir "BUILDDIR" "$BUILDDIR"; then
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit $E_FS_PERMISSIONS
fi
if (( ! (NOBUILD || GENINTEG) )) && ! ensure_writable_dir "PKGDEST" "$PKGDEST"; then
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit $E_FS_PERMISSIONS
fi
if ! ensure_writable_dir "SRCDEST" "$SRCDEST" ; then
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit $E_FS_PERMISSIONS
fi
if (( SOURCEONLY )); then
if ! ensure_writable_dir "SRCPKGDEST" "$SRCPKGDEST"; then
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit $E_FS_PERMISSIONS
fi
@@ -1173,7 +1173,7 @@ if (( SOURCEONLY )); then
fi
if (( LOGGING )) && ! ensure_writable_dir "LOGDEST" "$LOGDEST"; then
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit $E_FS_PERMISSIONS
fi